GCORE(1)

NAME
gcore - get core images of running process

SYNOPSIS
gcore [-s] [-c core] exec pid

DESCRIPTION
Gcore creates a core image of the specified process, suitable for use with gdb(1). By default, the core is written to the file “core.<pid>”. Both the executable image, exec, and the process identifier, pid, must be given on the command line.

The options are:

-c  Write the core file to the specified file instead of “core.<pid>”.

-s  Stop the process while gathering the core image, and resume it when done. This guarantees that the resulting core dump will be in a consistent state. The process is resumed even if it was already stopped. The same effect can be achieved manually with kill(1).

FILES
core.<pid>
    The core image.

HISTORY
Gcore appeared in 4.2BSD.

BUGS
Context switches or paging activity that occur while gcore is running may cause the program to become confused. For best results, use -s to temporarily stop the target process.

Gcore is not compatible with the original 4.2BSD version. In particular, 4.4BSD requires the exec argument.